Skip to main content
GET
/
api
/
v1
/
event
/
{series_ticker}
/
{event_id}
/
forecast_percentile_history
Get event forecast percentile history by event ticker
curl --request GET \
  --url https://dev-prediction-markets-api.dflow.net/api/v1/event/{series_ticker}/{event_id}/forecast_percentile_history \
  --header 'x-api-key: <api-key>'
{
  "code": "<string>",
  "msg": "<string>"
}

Need Help?

https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_discord.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=0ea834bc8a9fa3fe161ba181329effda

Join Our Discord

Connect with other developers, get help, and stay updated on the latest DFlow developments.
https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_telegram.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=e928c5dd68311ff0d419936a35c86eed

Dev Notifications

Join the DFlow Dev Notifications Telegram group to stay in the loop on new features and other announcements.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact hello@dflow.net to obtain an API key.

Path Parameters

series_ticker
string
required

The series ticker

event_id
string
required

The event ticker

Query Parameters

percentiles
string
required

Comma-separated list of percentile values (0-10000, max 10 values)

startTs
integer<int64>
required

Start timestamp for the range (Unix timestamp in seconds, not milliseconds)

Required range: x >= 0
endTs
integer<int64>
required

End timestamp for the range (Unix timestamp in seconds, not milliseconds)

Required range: x >= 0
periodInterval
integer<int32>
required

Period interval in minutes (0, 1, 60, or 1440)

Required range: x >= 0

Response

Event forecast percentile history